
class Tagz14 expands BlastMark config(goTagz);

var config string Tag14TextureChoice;
var Texture Tag14Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag14TextureChoice, Tag14Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz14 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz14', T)
      if (T !=Self)
         T.Destroy();
   Tag14Tex = texture(DynamicLoadObject(Tag14TextureChoice, class'Texture'));
   self.Texture = Tag14Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}