
class Tagz20 expands BlastMark config(goTagz);

var config string Tag20TextureChoice;
var Texture Tag20Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag20TextureChoice, Tag20Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz20 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz20', T)
      if (T !=Self)
         T.Destroy();
   Tag20Tex = texture(DynamicLoadObject(Tag20TextureChoice, class'Texture'));
   self.Texture = Tag20Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}