
class tag1 extends RocketMk2;

var float SmokeRate;
var bool bRing,bHitWater,bWaterStart;
var int NumExtraRockets;
var rockettrail trail;

simulated function Destroyed()
{
    if ( Trail != None )
        Trail.Destroy();
    Super.Destroyed();
}

simulated function PostBeginPlay()
{
    Trail = None;
    SoundRadius = 0;
    SmokeRate = 0;
    LightRadius = 0;
    SetTimer(SmokeRate, true);
}

simulated function Timer()
{
    local ut_SpriteSmokePuff b;

    if ( Region.Zone.bWaterZone || (Level.NetMode == NM_DedicatedServer) )
        Return;

    if ( Level.bHighDetailMode )
    {
        if ( Level.bDropDetail || ((NumExtraRockets > 0) && (FRand() < 0.5)) )
            Spawn(class'LightSmokeTrail');
        else
            Spawn(class'UTSmokeTrail');
        SmokeRate = 0;
    }
    else 
    {
        SmokeRate = 0;
        b = Spawn(class'ut_SpriteSmokePuff');
        b.RemoteRole = ROLE_None;
    }
    SetTimer(SmokeRate, false);
}

auto state Flying
{

    simulated function ZoneChange( Zoneinfo NewZone )
    {
        local waterring w;
        
        if (!NewZone.bWaterZone || bHitWater) Return;

        bHitWater = True;
        if ( Level.NetMode != NM_DedicatedServer )
        {
            w = Spawn(class'WaterRing',,,,rot(16384,0,0));
            w.DrawScale = 0.2;
            w.RemoteRole = ROLE_None;
            PlayAnim( 'Still', 3.0 );
        }       
        Velocity=0.6*Velocity;
    }

    simulated function ProcessTouch (Actor Other, Vector HitLocation)
    {
        if ( (Other != instigator) && !Other.IsA('Projectile') ) 
            Explode(HitLocation,Normal(HitLocation-Other.Location));
    }

    simulated function Explode(vector HitLocation, vector HitNormal)
    {
        Destroy();
    }

    function BeginState()
    {
        local vector Dir;

        Dir = vector(Rotation);
        Velocity = speed * Dir;
        Acceleration = Dir * 50;
        PlayAnim( 'Wing', 0.2 );
        if (Region.Zone.bWaterZone)
        {
            bHitWater = True;
            Velocity=0.6*Velocity;
        }
    }
}

defaultproperties
{
    speed=1500.00
    Damage=0.00
    MomentumTransfer=1
    SpawnSound=Sound'silence'
    ImpactSound=Sound'silence'
    ExplosionDecal=Class'Tagz1'
    LifeSpan=0.40
    AmbientSound=Sound'silence'
    DrawScale=0.00
    AmbientGlow=0
    SoundRadius=0
    SoundVolume=0
    LightType=0
    LightBrightness=0
    LightRadius=0
}
